Solved

Shopify CLI installation error - NPM unable to get issuer certificate locally on macOS Ventura 13.1

emlez
Shopify Partner
5 0 1

Hey! ✌🏽

The issue I'm getting on the terminal after running

brew tap shopify/shopify
brew install shopify-cli

is this one:

npm ERR! code UNABLE_TO_GET_ISSUER_CERT_LOCALLY
npm ERR! errno UNABLE_TO_GET_ISSUER_CERT_LOCALLY
npm ERR! request to https://registry.npmjs.org/@oclif%2fcore failed, reason: unable to get local issuer certificate

I've been trying to change the NPM version (from 14.20.1, 16.17.0, 18.11.0, to 19.3.0) with fnm, managing Ruby with rbenv to update versions (from 2.6.10, all the way up to 3.1.3), uninstalling Ruby from Homebrew and reinstalling it with all the other dependencies needed by Shopify CLI from scratch, but so far, I have gotten the same error.

I'm using a Macbook Air with an M1 chipset, on macOS Ventura 13.1

Any ideas?

Accepted Solution (1)

ShopifyDevSup
Shopify Staff
1310 214 454

This is an accepted solution.

Hi @emlez 👋

 

For issues with Shopify CLI, the best course of action would be submit a Github issue here in the public repo directly. 

 

Hope that helps!

Developer Support @ Shopify
- Was this reply helpful? Click Like to let us know!
- Was your question answered? Mark it as an Accepted Solution
- To learn more visit Shopify.dev or the Shopify Web Design and Development Blog

View solution in original post

Replies 2 (2)

ShopifyDevSup
Shopify Staff
1310 214 454

This is an accepted solution.

Hi @emlez 👋

 

For issues with Shopify CLI, the best course of action would be submit a Github issue here in the public repo directly. 

 

Hope that helps!

Developer Support @ Shopify
- Was this reply helpful? Click Like to let us know!
- Was your question answered? Mark it as an Accepted Solution
- To learn more visit Shopify.dev or the Shopify Web Design and Development Blog

rm_mrkb
Shopify Partner
3 0 1

I had the same issue, I fixed it by setting the ssl config of npm to false

 npm config set strict-ssl false